Network Dataset Source Editing

2584
1
03-28-2012 08:16 PM
Highlighted
New Contributor II
Everytime I try to modify (sketch vertex, displace) features of polyline feature class, which is actually a source for network dataset, in ArcMap I get errors:

The feature's geometry could not be modified.
The logical network is of an older version and does not support the requested functionality.


or

The feature(s) could not be moved.
Failed to move related features [<TABLE_NAME>].
The logical network is of an older version and does not support the requested functionality


Feature dataset is in File Geodatabase.
I use ArcGIS Desktop 10.0 SP3.

Help says: Once the sources are edited, you will need to ensure that all new features have shared vertices with intersecting features.
What exactly does it mean if I can't even move a point of source feature class?
Tags (2)
Reply
0 Kudos
1 Reply
Highlighted
Occasional Contributor

We're you able to solve this issue? I'm having the same issue in ArcGIS for Desktop 10.3 with a 10.1 Network Dataset.

If I'm using the Integrate tool or edit an edge and try to rebuild, I get building errors saying that the logical model is of an older version.

After unloading all data from the network feature classes and reloading it, the network can be build without those errors.

Reply
0 Kudos